IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network108.2.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
108.2.32.0- Broadcast address
108.2.47.255- First usable
108.2.32.1- Last usable
108.2.47.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
6C022000· Integer1812078592to1812082687 - Reverse DNS zones
32.2.108.in-addr.arpa33.2.108.in-addr.arpa34.2.108.in-addr.arpa35.2.108.in-addr.arpa36.2.108.in-addr.arpa37.2.108.in-addr.arpa38.2.108.in-addr.arpa39.2.108.in-addr.arpa40.2.108.in-addr.arpa41.2.108.in-addr.arpa42.2.108.in-addr.arpa43.2.108.in-addr.arpa44.2.108.in-addr.arpa45.2.108.in-addr.arpa46.2.108.in-addr.arpa47.2.108.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01101100.00000010.00100000.00000000 | 108.2.32.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01101100.00000010.00100000.00000000 | 108.2.32.0 |
| Broadcast | 01101100.00000010.00101111.11111111 | 108.2.47.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
108.2.32.0/20 makes 2,048 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 108.2.32.0/31 | 108.2.32.0 to 108.2.32.1 | — | 2 |
| 2 | 108.2.32.2/31 | 108.2.32.2 to 108.2.32.3 | — | 2 |
| 3 | 108.2.32.4/31 | 108.2.32.4 to 108.2.32.5 | — | 2 |
| 4 | 108.2.32.6/31 | 108.2.32.6 to 108.2.32.7 | — | 2 |
| 5 | 108.2.32.8/31 | 108.2.32.8 to 108.2.32.9 | — | 2 |
| 6 | 108.2.32.10/31 | 108.2.32.10 to 108.2.32.11 | — | 2 |
| 7 | 108.2.32.12/31 | 108.2.32.12 to 108.2.32.13 | — | 2 |
| 8 | 108.2.32.14/31 | 108.2.32.14 to 108.2.32.15 | — | 2 |
| 9 | 108.2.32.16/31 | 108.2.32.16 to 108.2.32.17 | — | 2 |
| 10 | 108.2.32.18/31 | 108.2.32.18 to 108.2.32.19 | — | 2 |
| 11 | 108.2.32.20/31 | 108.2.32.20 to 108.2.32.21 | — | 2 |
| 12 | 108.2.32.22/31 | 108.2.32.22 to 108.2.32.23 | — | 2 |
| 13 | 108.2.32.24/31 | 108.2.32.24 to 108.2.32.25 | — | 2 |
| 14 | 108.2.32.26/31 | 108.2.32.26 to 108.2.32.27 | — | 2 |
| 15 | 108.2.32.28/31 | 108.2.32.28 to 108.2.32.29 | — | 2 |
| 16 | 108.2.32.30/31 | 108.2.32.30 to 108.2.32.31 | — | 2 |
| 17 | 108.2.32.32/31 | 108.2.32.32 to 108.2.32.33 | — | 2 |
| 18 | 108.2.32.34/31 | 108.2.32.34 to 108.2.32.35 | — | 2 |
| 19 | 108.2.32.36/31 | 108.2.32.36 to 108.2.32.37 | — | 2 |
| 20 | 108.2.32.38/31 | 108.2.32.38 to 108.2.32.39 | — | 2 |
| 21 | 108.2.32.40/31 | 108.2.32.40 to 108.2.32.41 | — | 2 |
| 22 | 108.2.32.42/31 | 108.2.32.42 to 108.2.32.43 | — | 2 |
| 23 | 108.2.32.44/31 | 108.2.32.44 to 108.2.32.45 | — | 2 |
| 24 | 108.2.32.46/31 | 108.2.32.46 to 108.2.32.47 | — | 2 |
| 25 | 108.2.32.48/31 | 108.2.32.48 to 108.2.32.49 | — | 2 |
| 26 | 108.2.32.50/31 | 108.2.32.50 to 108.2.32.51 | — | 2 |
| 27 | 108.2.32.52/31 | 108.2.32.52 to 108.2.32.53 | — | 2 |
| 28 | 108.2.32.54/31 | 108.2.32.54 to 108.2.32.55 | — | 2 |
| 29 | 108.2.32.56/31 | 108.2.32.56 to 108.2.32.57 | — | 2 |
| 30 | 108.2.32.58/31 | 108.2.32.58 to 108.2.32.59 | — | 2 |
| 31 | 108.2.32.60/31 | 108.2.32.60 to 108.2.32.61 | — | 2 |
| 32 | 108.2.32.62/31 | 108.2.32.62 to 108.2.32.63 | — | 2 |
| 33 | 108.2.32.64/31 | 108.2.32.64 to 108.2.32.65 | — | 2 |
| 34 | 108.2.32.66/31 | 108.2.32.66 to 108.2.32.67 | — | 2 |
| 35 | 108.2.32.68/31 | 108.2.32.68 to 108.2.32.69 | — | 2 |
| 36 | 108.2.32.70/31 | 108.2.32.70 to 108.2.32.71 | — | 2 |
| 37 | 108.2.32.72/31 | 108.2.32.72 to 108.2.32.73 | — | 2 |
| 38 | 108.2.32.74/31 | 108.2.32.74 to 108.2.32.75 | — | 2 |
| 39 | 108.2.32.76/31 | 108.2.32.76 to 108.2.32.77 | — | 2 |
| 40 | 108.2.32.78/31 | 108.2.32.78 to 108.2.32.79 | — | 2 |
| 41 | 108.2.32.80/31 | 108.2.32.80 to 108.2.32.81 | — | 2 |
| 42 | 108.2.32.82/31 | 108.2.32.82 to 108.2.32.83 | — | 2 |
| 43 | 108.2.32.84/31 | 108.2.32.84 to 108.2.32.85 | — | 2 |
| 44 | 108.2.32.86/31 | 108.2.32.86 to 108.2.32.87 | — | 2 |
| 45 | 108.2.32.88/31 | 108.2.32.88 to 108.2.32.89 | — | 2 |
| 46 | 108.2.32.90/31 | 108.2.32.90 to 108.2.32.91 | — | 2 |
| 47 | 108.2.32.92/31 | 108.2.32.92 to 108.2.32.93 | — | 2 |
| 48 | 108.2.32.94/31 | 108.2.32.94 to 108.2.32.95 | — | 2 |
| 49 | 108.2.32.96/31 | 108.2.32.96 to 108.2.32.97 | — | 2 |
| 50 | 108.2.32.98/31 | 108.2.32.98 to 108.2.32.99 | — | 2 |
| 51 | 108.2.32.100/31 | 108.2.32.100 to 108.2.32.101 | — | 2 |
| 52 | 108.2.32.102/31 | 108.2.32.102 to 108.2.32.103 | — | 2 |
| 53 | 108.2.32.104/31 | 108.2.32.104 to 108.2.32.105 | — | 2 |
| 54 | 108.2.32.106/31 | 108.2.32.106 to 108.2.32.107 | — | 2 |
| 55 | 108.2.32.108/31 | 108.2.32.108 to 108.2.32.109 | — | 2 |
| 56 | 108.2.32.110/31 | 108.2.32.110 to 108.2.32.111 | — | 2 |
| 57 | 108.2.32.112/31 | 108.2.32.112 to 108.2.32.113 | — | 2 |
| 58 | 108.2.32.114/31 | 108.2.32.114 to 108.2.32.115 | — | 2 |
| 59 | 108.2.32.116/31 | 108.2.32.116 to 108.2.32.117 | — | 2 |
| 60 | 108.2.32.118/31 | 108.2.32.118 to 108.2.32.119 | — | 2 |
| 61 | 108.2.32.120/31 | 108.2.32.120 to 108.2.32.121 | — | 2 |
| 62 | 108.2.32.122/31 | 108.2.32.122 to 108.2.32.123 | — | 2 |
| 63 | 108.2.32.124/31 | 108.2.32.124 to 108.2.32.125 | — | 2 |
| 64 | 108.2.32.126/31 | 108.2.32.126 to 108.2.32.127 | — | 2 |
| 65 | 108.2.32.128/31 | 108.2.32.128 to 108.2.32.129 | — | 2 |
| 66 | 108.2.32.130/31 | 108.2.32.130 to 108.2.32.131 | — | 2 |
| 67 | 108.2.32.132/31 | 108.2.32.132 to 108.2.32.133 | — | 2 |
| 68 | 108.2.32.134/31 | 108.2.32.134 to 108.2.32.135 | — | 2 |
| 69 | 108.2.32.136/31 | 108.2.32.136 to 108.2.32.137 | — | 2 |
| 70 | 108.2.32.138/31 | 108.2.32.138 to 108.2.32.139 | — | 2 |
| 71 | 108.2.32.140/31 | 108.2.32.140 to 108.2.32.141 | — | 2 |
| 72 | 108.2.32.142/31 | 108.2.32.142 to 108.2.32.143 | — | 2 |
| 73 | 108.2.32.144/31 | 108.2.32.144 to 108.2.32.145 | — | 2 |
| 74 | 108.2.32.146/31 | 108.2.32.146 to 108.2.32.147 | — | 2 |
| 75 | 108.2.32.148/31 | 108.2.32.148 to 108.2.32.149 | — | 2 |
| 76 | 108.2.32.150/31 | 108.2.32.150 to 108.2.32.151 | — | 2 |
| 77 | 108.2.32.152/31 | 108.2.32.152 to 108.2.32.153 | — | 2 |
| 78 | 108.2.32.154/31 | 108.2.32.154 to 108.2.32.155 | — | 2 |
| 79 | 108.2.32.156/31 | 108.2.32.156 to 108.2.32.157 | — | 2 |
| 80 | 108.2.32.158/31 | 108.2.32.158 to 108.2.32.159 | — | 2 |
| 81 | 108.2.32.160/31 | 108.2.32.160 to 108.2.32.161 | — | 2 |
| 82 | 108.2.32.162/31 | 108.2.32.162 to 108.2.32.163 | — | 2 |
| 83 | 108.2.32.164/31 | 108.2.32.164 to 108.2.32.165 | — | 2 |
| 84 | 108.2.32.166/31 | 108.2.32.166 to 108.2.32.167 | — | 2 |
| 85 | 108.2.32.168/31 | 108.2.32.168 to 108.2.32.169 | — | 2 |
| 86 | 108.2.32.170/31 | 108.2.32.170 to 108.2.32.171 | — | 2 |
| 87 | 108.2.32.172/31 | 108.2.32.172 to 108.2.32.173 | — | 2 |
| 88 | 108.2.32.174/31 | 108.2.32.174 to 108.2.32.175 | — | 2 |
| 89 | 108.2.32.176/31 | 108.2.32.176 to 108.2.32.177 | — | 2 |
| 90 | 108.2.32.178/31 | 108.2.32.178 to 108.2.32.179 | — | 2 |
| 91 | 108.2.32.180/31 | 108.2.32.180 to 108.2.32.181 | — | 2 |
| 92 | 108.2.32.182/31 | 108.2.32.182 to 108.2.32.183 | — | 2 |
| 93 | 108.2.32.184/31 | 108.2.32.184 to 108.2.32.185 | — | 2 |
| 94 | 108.2.32.186/31 | 108.2.32.186 to 108.2.32.187 | — | 2 |
| 95 | 108.2.32.188/31 | 108.2.32.188 to 108.2.32.189 | — | 2 |
| 96 | 108.2.32.190/31 | 108.2.32.190 to 108.2.32.191 | — | 2 |
| 97 | 108.2.32.192/31 | 108.2.32.192 to 108.2.32.193 | — | 2 |
| 98 | 108.2.32.194/31 | 108.2.32.194 to 108.2.32.195 | — | 2 |
| 99 | 108.2.32.196/31 | 108.2.32.196 to 108.2.32.197 | — | 2 |
| 100 | 108.2.32.198/31 | 108.2.32.198 to 108.2.32.199 | — | 2 |
| 101 | 108.2.32.200/31 | 108.2.32.200 to 108.2.32.201 | — | 2 |
| 102 | 108.2.32.202/31 | 108.2.32.202 to 108.2.32.203 | — | 2 |
| 103 | 108.2.32.204/31 | 108.2.32.204 to 108.2.32.205 | — | 2 |
| 104 | 108.2.32.206/31 | 108.2.32.206 to 108.2.32.207 | — | 2 |
| 105 | 108.2.32.208/31 | 108.2.32.208 to 108.2.32.209 | — | 2 |
| 106 | 108.2.32.210/31 | 108.2.32.210 to 108.2.32.211 | — | 2 |
| 107 | 108.2.32.212/31 | 108.2.32.212 to 108.2.32.213 | — | 2 |
| 108 | 108.2.32.214/31 | 108.2.32.214 to 108.2.32.215 | — | 2 |
| 109 | 108.2.32.216/31 | 108.2.32.216 to 108.2.32.217 | — | 2 |
| 110 | 108.2.32.218/31 | 108.2.32.218 to 108.2.32.219 | — | 2 |
| 111 | 108.2.32.220/31 | 108.2.32.220 to 108.2.32.221 | — | 2 |
| 112 | 108.2.32.222/31 | 108.2.32.222 to 108.2.32.223 | — | 2 |
| 113 | 108.2.32.224/31 | 108.2.32.224 to 108.2.32.225 | — | 2 |
| 114 | 108.2.32.226/31 | 108.2.32.226 to 108.2.32.227 | — | 2 |
| 115 | 108.2.32.228/31 | 108.2.32.228 to 108.2.32.229 | — | 2 |
| 116 | 108.2.32.230/31 | 108.2.32.230 to 108.2.32.231 | — | 2 |
| 117 | 108.2.32.232/31 | 108.2.32.232 to 108.2.32.233 | — | 2 |
| 118 | 108.2.32.234/31 | 108.2.32.234 to 108.2.32.235 | — | 2 |
| 119 | 108.2.32.236/31 | 108.2.32.236 to 108.2.32.237 | — | 2 |
| 120 | 108.2.32.238/31 | 108.2.32.238 to 108.2.32.239 | — | 2 |
| 121 | 108.2.32.240/31 | 108.2.32.240 to 108.2.32.241 | — | 2 |
| 122 | 108.2.32.242/31 | 108.2.32.242 to 108.2.32.243 | — | 2 |
| 123 | 108.2.32.244/31 | 108.2.32.244 to 108.2.32.245 | — | 2 |
| 124 | 108.2.32.246/31 | 108.2.32.246 to 108.2.32.247 | — | 2 |
| 125 | 108.2.32.248/31 | 108.2.32.248 to 108.2.32.249 | — | 2 |
| 126 | 108.2.32.250/31 | 108.2.32.250 to 108.2.32.251 | — | 2 |
| 127 | 108.2.32.252/31 | 108.2.32.252 to 108.2.32.253 | — | 2 |
| 128 | 108.2.32.254/31 | 108.2.32.254 to 108.2.32.255 | — | 2 |
| 129 | 108.2.33.0/31 | 108.2.33.0 to 108.2.33.1 | — | 2 |
| 130 | 108.2.33.2/31 | 108.2.33.2 to 108.2.33.3 | — | 2 |
| 131 | 108.2.33.4/31 | 108.2.33.4 to 108.2.33.5 | — | 2 |
| 132 | 108.2.33.6/31 | 108.2.33.6 to 108.2.33.7 | — | 2 |
| 133 | 108.2.33.8/31 | 108.2.33.8 to 108.2.33.9 | — | 2 |
| 134 | 108.2.33.10/31 | 108.2.33.10 to 108.2.33.11 | — | 2 |
| 135 | 108.2.33.12/31 | 108.2.33.12 to 108.2.33.13 | — | 2 |
| 136 | 108.2.33.14/31 | 108.2.33.14 to 108.2.33.15 | — | 2 |
| 137 | 108.2.33.16/31 | 108.2.33.16 to 108.2.33.17 | — | 2 |
| 138 | 108.2.33.18/31 | 108.2.33.18 to 108.2.33.19 | — | 2 |
| 139 | 108.2.33.20/31 | 108.2.33.20 to 108.2.33.21 | — | 2 |
| 140 | 108.2.33.22/31 | 108.2.33.22 to 108.2.33.23 | — | 2 |
| 141 | 108.2.33.24/31 | 108.2.33.24 to 108.2.33.25 | — | 2 |
| 142 | 108.2.33.26/31 | 108.2.33.26 to 108.2.33.27 | — | 2 |
| 143 | 108.2.33.28/31 | 108.2.33.28 to 108.2.33.29 | — | 2 |
| 144 | 108.2.33.30/31 | 108.2.33.30 to 108.2.33.31 | — | 2 |
| 145 | 108.2.33.32/31 | 108.2.33.32 to 108.2.33.33 | — | 2 |
| 146 | 108.2.33.34/31 | 108.2.33.34 to 108.2.33.35 | — | 2 |
| 147 | 108.2.33.36/31 | 108.2.33.36 to 108.2.33.37 | — | 2 |
| 148 | 108.2.33.38/31 | 108.2.33.38 to 108.2.33.39 | — | 2 |
| 149 | 108.2.33.40/31 | 108.2.33.40 to 108.2.33.41 | — | 2 |
| 150 | 108.2.33.42/31 | 108.2.33.42 to 108.2.33.43 | — | 2 |
| 151 | 108.2.33.44/31 | 108.2.33.44 to 108.2.33.45 | — | 2 |
| 152 | 108.2.33.46/31 | 108.2.33.46 to 108.2.33.47 | — | 2 |
| 153 | 108.2.33.48/31 | 108.2.33.48 to 108.2.33.49 | — | 2 |
| 154 | 108.2.33.50/31 | 108.2.33.50 to 108.2.33.51 | — | 2 |
| 155 | 108.2.33.52/31 | 108.2.33.52 to 108.2.33.53 | — | 2 |
| 156 | 108.2.33.54/31 | 108.2.33.54 to 108.2.33.55 | — | 2 |
| 157 | 108.2.33.56/31 | 108.2.33.56 to 108.2.33.57 | — | 2 |
| 158 | 108.2.33.58/31 | 108.2.33.58 to 108.2.33.59 | — | 2 |
| 159 | 108.2.33.60/31 | 108.2.33.60 to 108.2.33.61 | — | 2 |
| 160 | 108.2.33.62/31 | 108.2.33.62 to 108.2.33.63 | — | 2 |
| 161 | 108.2.33.64/31 | 108.2.33.64 to 108.2.33.65 | — | 2 |
| 162 | 108.2.33.66/31 | 108.2.33.66 to 108.2.33.67 | — | 2 |
| 163 | 108.2.33.68/31 | 108.2.33.68 to 108.2.33.69 | — | 2 |
| 164 | 108.2.33.70/31 | 108.2.33.70 to 108.2.33.71 | — | 2 |
| 165 | 108.2.33.72/31 | 108.2.33.72 to 108.2.33.73 | — | 2 |
| 166 | 108.2.33.74/31 | 108.2.33.74 to 108.2.33.75 | — | 2 |
| 167 | 108.2.33.76/31 | 108.2.33.76 to 108.2.33.77 | — | 2 |
| 168 | 108.2.33.78/31 | 108.2.33.78 to 108.2.33.79 | — | 2 |
| 169 | 108.2.33.80/31 | 108.2.33.80 to 108.2.33.81 | — | 2 |
| 170 | 108.2.33.82/31 | 108.2.33.82 to 108.2.33.83 | — | 2 |
| 171 | 108.2.33.84/31 | 108.2.33.84 to 108.2.33.85 | — | 2 |
| 172 | 108.2.33.86/31 | 108.2.33.86 to 108.2.33.87 | — | 2 |
| 173 | 108.2.33.88/31 | 108.2.33.88 to 108.2.33.89 | — | 2 |
| 174 | 108.2.33.90/31 | 108.2.33.90 to 108.2.33.91 | — | 2 |
| 175 | 108.2.33.92/31 | 108.2.33.92 to 108.2.33.93 | — | 2 |
| 176 | 108.2.33.94/31 | 108.2.33.94 to 108.2.33.95 | — | 2 |
| 177 | 108.2.33.96/31 | 108.2.33.96 to 108.2.33.97 | — | 2 |
| 178 | 108.2.33.98/31 | 108.2.33.98 to 108.2.33.99 | — | 2 |
| 179 | 108.2.33.100/31 | 108.2.33.100 to 108.2.33.101 | — | 2 |
| 180 | 108.2.33.102/31 | 108.2.33.102 to 108.2.33.103 | — | 2 |
| 181 | 108.2.33.104/31 | 108.2.33.104 to 108.2.33.105 | — | 2 |
| 182 | 108.2.33.106/31 | 108.2.33.106 to 108.2.33.107 | — | 2 |
| 183 | 108.2.33.108/31 | 108.2.33.108 to 108.2.33.109 | — | 2 |
| 184 | 108.2.33.110/31 | 108.2.33.110 to 108.2.33.111 | — | 2 |
| 185 | 108.2.33.112/31 | 108.2.33.112 to 108.2.33.113 | — | 2 |
| 186 | 108.2.33.114/31 | 108.2.33.114 to 108.2.33.115 | — | 2 |
| 187 | 108.2.33.116/31 | 108.2.33.116 to 108.2.33.117 | — | 2 |
| 188 | 108.2.33.118/31 | 108.2.33.118 to 108.2.33.119 | — | 2 |
| 189 | 108.2.33.120/31 | 108.2.33.120 to 108.2.33.121 | — | 2 |
| 190 | 108.2.33.122/31 | 108.2.33.122 to 108.2.33.123 | — | 2 |
| 191 | 108.2.33.124/31 | 108.2.33.124 to 108.2.33.125 | — | 2 |
| 192 | 108.2.33.126/31 | 108.2.33.126 to 108.2.33.127 | — | 2 |
| 193 | 108.2.33.128/31 | 108.2.33.128 to 108.2.33.129 | — | 2 |
| 194 | 108.2.33.130/31 | 108.2.33.130 to 108.2.33.131 | — | 2 |
| 195 | 108.2.33.132/31 | 108.2.33.132 to 108.2.33.133 | — | 2 |
| 196 | 108.2.33.134/31 | 108.2.33.134 to 108.2.33.135 | — | 2 |
| 197 | 108.2.33.136/31 | 108.2.33.136 to 108.2.33.137 | — | 2 |
| 198 | 108.2.33.138/31 | 108.2.33.138 to 108.2.33.139 | — | 2 |
| 199 | 108.2.33.140/31 | 108.2.33.140 to 108.2.33.141 | — | 2 |
| 200 | 108.2.33.142/31 | 108.2.33.142 to 108.2.33.143 | — | 2 |
| 201 | 108.2.33.144/31 | 108.2.33.144 to 108.2.33.145 | — | 2 |
| 202 | 108.2.33.146/31 | 108.2.33.146 to 108.2.33.147 | — | 2 |
| 203 | 108.2.33.148/31 | 108.2.33.148 to 108.2.33.149 | — | 2 |
| 204 | 108.2.33.150/31 | 108.2.33.150 to 108.2.33.151 | — | 2 |
| 205 | 108.2.33.152/31 | 108.2.33.152 to 108.2.33.153 | — | 2 |
| 206 | 108.2.33.154/31 | 108.2.33.154 to 108.2.33.155 | — | 2 |
| 207 | 108.2.33.156/31 | 108.2.33.156 to 108.2.33.157 | — | 2 |
| 208 | 108.2.33.158/31 | 108.2.33.158 to 108.2.33.159 | — | 2 |
| 209 | 108.2.33.160/31 | 108.2.33.160 to 108.2.33.161 | — | 2 |
| 210 | 108.2.33.162/31 | 108.2.33.162 to 108.2.33.163 | — | 2 |
| 211 | 108.2.33.164/31 | 108.2.33.164 to 108.2.33.165 | — | 2 |
| 212 | 108.2.33.166/31 | 108.2.33.166 to 108.2.33.167 | — | 2 |
| 213 | 108.2.33.168/31 | 108.2.33.168 to 108.2.33.169 | — | 2 |
| 214 | 108.2.33.170/31 | 108.2.33.170 to 108.2.33.171 | — | 2 |
| 215 | 108.2.33.172/31 | 108.2.33.172 to 108.2.33.173 | — | 2 |
| 216 | 108.2.33.174/31 | 108.2.33.174 to 108.2.33.175 | — | 2 |
| 217 | 108.2.33.176/31 | 108.2.33.176 to 108.2.33.177 | — | 2 |
| 218 | 108.2.33.178/31 | 108.2.33.178 to 108.2.33.179 | — | 2 |
| 219 | 108.2.33.180/31 | 108.2.33.180 to 108.2.33.181 | — | 2 |
| 220 | 108.2.33.182/31 | 108.2.33.182 to 108.2.33.183 | — | 2 |
| 221 | 108.2.33.184/31 | 108.2.33.184 to 108.2.33.185 | — | 2 |
| 222 | 108.2.33.186/31 | 108.2.33.186 to 108.2.33.187 | — | 2 |
| 223 | 108.2.33.188/31 | 108.2.33.188 to 108.2.33.189 | — | 2 |
| 224 | 108.2.33.190/31 | 108.2.33.190 to 108.2.33.191 | — | 2 |
| 225 | 108.2.33.192/31 | 108.2.33.192 to 108.2.33.193 | — | 2 |
| 226 | 108.2.33.194/31 | 108.2.33.194 to 108.2.33.195 | — | 2 |
| 227 | 108.2.33.196/31 | 108.2.33.196 to 108.2.33.197 | — | 2 |
| 228 | 108.2.33.198/31 | 108.2.33.198 to 108.2.33.199 | — | 2 |
| 229 | 108.2.33.200/31 | 108.2.33.200 to 108.2.33.201 | — | 2 |
| 230 | 108.2.33.202/31 | 108.2.33.202 to 108.2.33.203 | — | 2 |
| 231 | 108.2.33.204/31 | 108.2.33.204 to 108.2.33.205 | — | 2 |
| 232 | 108.2.33.206/31 | 108.2.33.206 to 108.2.33.207 | — | 2 |
| 233 | 108.2.33.208/31 | 108.2.33.208 to 108.2.33.209 | — | 2 |
| 234 | 108.2.33.210/31 | 108.2.33.210 to 108.2.33.211 | — | 2 |
| 235 | 108.2.33.212/31 | 108.2.33.212 to 108.2.33.213 | — | 2 |
| 236 | 108.2.33.214/31 | 108.2.33.214 to 108.2.33.215 | — | 2 |
| 237 | 108.2.33.216/31 | 108.2.33.216 to 108.2.33.217 | — | 2 |
| 238 | 108.2.33.218/31 | 108.2.33.218 to 108.2.33.219 | — | 2 |
| 239 | 108.2.33.220/31 | 108.2.33.220 to 108.2.33.221 | — | 2 |
| 240 | 108.2.33.222/31 | 108.2.33.222 to 108.2.33.223 | — | 2 |
| 241 | 108.2.33.224/31 | 108.2.33.224 to 108.2.33.225 | — | 2 |
| 242 | 108.2.33.226/31 | 108.2.33.226 to 108.2.33.227 | — | 2 |
| 243 | 108.2.33.228/31 | 108.2.33.228 to 108.2.33.229 | — | 2 |
| 244 | 108.2.33.230/31 | 108.2.33.230 to 108.2.33.231 | — | 2 |
| 245 | 108.2.33.232/31 | 108.2.33.232 to 108.2.33.233 | — | 2 |
| 246 | 108.2.33.234/31 | 108.2.33.234 to 108.2.33.235 | — | 2 |
| 247 | 108.2.33.236/31 | 108.2.33.236 to 108.2.33.237 | — | 2 |
| 248 | 108.2.33.238/31 | 108.2.33.238 to 108.2.33.239 | — | 2 |
| 249 | 108.2.33.240/31 | 108.2.33.240 to 108.2.33.241 | — | 2 |
| 250 | 108.2.33.242/31 | 108.2.33.242 to 108.2.33.243 | — | 2 |
| 251 | 108.2.33.244/31 | 108.2.33.244 to 108.2.33.245 | — | 2 |
| 252 | 108.2.33.246/31 | 108.2.33.246 to 108.2.33.247 | — | 2 |
| 253 | 108.2.33.248/31 | 108.2.33.248 to 108.2.33.249 | — | 2 |
| 254 | 108.2.33.250/31 | 108.2.33.250 to 108.2.33.251 | — | 2 |
| 255 | 108.2.33.252/31 | 108.2.33.252 to 108.2.33.253 | — | 2 |
| 256 | 108.2.33.254/31 | 108.2.33.254 to 108.2.33.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |